Core - Bug # 56353

Status: Resolved Priority: Should have

Author: Marc Bastian Heinrichs Category: DataHandler aka TCEmain
Created: 2014-02-26 Assigned To: Marc Bastian Heinrichs
Updated: 2014-04-15 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject:

SQL Error in sys_refindex on saving records with tca/flexform type group internal_type file

Description

caller TYPO3\CMS\Core\Database\DatabaseConnection::exec_INSERTquery
ERROR Column 'ref_table' cannot be null

lastBuiltQuery

INSERT INTO sys_refindex

(tablename,recuid,field,flexpointer,softref_key,softref_id,sorting,deleted,ref_table,ref uid,ref_string,hash) VALUES
('tx_impexpgroupfiles_item','"1",'images",",",",'0",'0',NULL,NULL,",'bd4e53ee65b4927172175e806f7f389a')

debug_backtrace

TYPO3\CMS\Backend\Controller\EditDocumentController->processData#48 //

TYPO3\CMS\Core\DataHandling\DataHandler->process_datamap#516 //
TYPO3\CMS\Core\DataHandling\DataHandler->updateDB#1222 //
TYPO3\CMS\Core\DataHandling\DataHandler->updateReflndex#5851 //
TYPO3\CMS\Core\Database\Referencelndex->updateReflndexTable#6008 //
TYPO3\CMS\Core\Database\DatabaseConnection->exec_INSERTquery#120 //
TYPO3\CMS\Core\Database\DatabaseConnection->debug#203

Related issues:

related to Grid Elements - Bug # 55380: SQL Error when choosing flexform file Closed 2014-01-28
related to Core - Task # 56352: Impexp: Files of TCA type "group" internal_ty... Resolved 2014-02-26
related to Core - Task # 56991: Reflndex is broken for FlexForm fields group ... Resolved 2014-03-17

Associated revisions

Revision 53c6adc8 - 2014-03-17 21:43 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group”, internal_type "file"

should be indexed in the Referencelndex an SQL error exception

gets thrown. So the relation to the file isn't represented in the

refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file

relation as DB relation since merge of FAL.

Resolves: #56353
Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7{98f9fa8fb
Reviewed-on: https://review.typo3.org/27310
Tested-by: Sebastian Fischer
Tested-by: Christian Zenker
Reviewed-by: Wouter Wolters
Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring

Revision 1dbfe75e - 2014-04-15 10:08 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group”, internal_type "file"

should be indexed in the Referencelndex an SQL error exception
gets thrown. So the relation to the file isn't represented in the
refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file

relation as DB relation since merge of FAL.

Resolves: #56353

Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7f98f9fa8fb
Reviewed-on: https://review.typo3.org/28795

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

Revision 75f6b1b6 - 2014-04-15 10:09 - Marc Bastian Heinrichs

[BUGFIX] Fields of type group file are not properly indexed

If an record with a field of type "group”, internal_type "file"

should be indexed in the Referencelndex an SQL error exception
gets thrown. So the relation to the file isn't represented in the
refindex. Thus those files are also missing in exports created

with system extension impexp.

This is caused by wrong array keys and incorrectly storing a file
relation as DB relation since merge of FAL.

Resolves: #56353

Resolves: #56352

Releases: 6.2, 6.1, 6.0

Change-Id: 178211efcb6bf3032811ef0b0e20ed7f98f9fa8fb
Reviewed-on: https://review.typo3.0rg/28796

Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History

#1 - 2014-02-27 13:03 - Bernhard Kraft
Fixing this bug is somehow prohibited by the following bug:

http://i.imgur.com/3MgE6bi.png

Which results in:

http://i.imgur.com/xWynWgs.png

... and both of those bugs inhibit properly testing this issue (Can't upload images)

Sorry! The problem was that | did not run the upgrade wizard.

False alarm.

#2 - 2014-02-27 21:44 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27310

#3 - 2014-03-03 14:59 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27310

#4 - 2014-03-03 17:26 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27310

#5 - 2014-03-04 09:42 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27310

#6 - 2014-03-04 09:45 - Gerrit Code Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/28021

#7 - 2014-03-04 09:47 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27310
#8 - 2014-03-17 22:30 - Marc Bastian Heinrichs
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:53c6adc83be0e088c5837¢c86d7c7fc62f3e511c6.

#9 - 2014-03-25 19:39 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28795

#10 - 2014-03-25 19:46 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-0 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28796

#11 - 2014-04-15 10:30 - Marc Bastian Heinrichs

- Status changed from Under Review to Resolved

Applied in changeset commit:75f6b1b6955fc9ae52bb609b7cadba3c9efb390a.

2015-08-04 4/4


https://review.typo3.org/28795
https://review.typo3.org/28796

